Retrieve a list of proof of address check-ins for a user
GET/api/users/:userId/checkins/proof-of-address
Retrieve a list of all condition check-ins for the given vehicle. If the caller does not have access to the vehicle throws an exception.
Request
Path Parameters
Responses
- 200
- 401
- 403
- 404
- 500
List of proof of address check-in objects for the user.
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
Array [
]
]
Id of the checkin
User generated note. For communication between the user to the admin
Admin generated note. Usually used for on-hold or declined check-ins
Check-in date
Possible values: [Confirmed, Declined, OnHold, Pending]
Status of the check-in
Last updated on
address
object
Address
Street Address Line 1
City
2 Letter State Code
2 Letter Country Code
Zip
Latitude at which photo was taken
Longitude at which photo was taken
Possible values: [UtilityBill, Paycheck, FinancialStatement, SaleDeed, LeaseAgreement, PhoneBill, Invalid]
Document Type
insights
object
Insights gathered from the uploaded document(s)
First name on document(s)
Last name on document(s)
address
object
Address
Street Address Line 1
Street Address Line 2
City
2 Letter State Code
2 Letter Country Code
Zip
documents
object[]
The document(s)
URL of the document
Possible values: [DOCUMENT, GALLERY, CAMERA, INVALID, CAMERA, DOCUMENT, GALLERY]
Type of the document.
Latitude at which photo was taken
Longitude at which photo was taken
Indicates that the document has been marked invalid on review.
photos
object[]
The photos of the vehicle taken from different angles
URL of the photo
Possible values: [FrontView, AlternateView]
Type of the photo. A value from one of the proof of address checkin photo types.
Latitude at which photo was taken
Longitude at which photo was taken
Indicates that the photo has been marked invalid on review.
Latitude at which check-in was done
Longitude at which check-in was done
[
{
"id": "string",
"userNote": "string",
"adminNote": "string",
"checkedInAt": "string",
"checkInStatus": "Confirmed",
"updated": "string",
"address": {
"addressLine1": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string",
"latitude": 0,
"longitude": 0
},
"documentType": "UtilityBill",
"insights": {
"firstName": "string",
"lastName": "string",
"address": {
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string"
}
},
"documents": [
{
"url": "string",
"type": "DOCUMENT",
"latitude": 0,
"longitude": 0,
"markedInvalidByReview": true
}
],
"photos": [
{
"photoUrl": "string",
"type": "FrontView",
"latitude": 0,
"longitude": 0,
"markedInvalidByReview": true
}
],
"latitude": 0,
"longitude": 0,
"fraud": true
}
]
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Owning User not found. Possible error codes
-
ERROR_USER_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}